<html>
<head>
<title>Ogre::TerrainLayerSampler Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1TerrainLayerSampler.html">TerrainLayerSampler</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::TerrainLayerSampler Struct Reference<div class="ingroups"><a class="el" href="group__Terrain.html">Terrain</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::TerrainLayerSampler" -->
<p>Description of a sampler that will be used with each layer.  
 <a href="structOgre_1_1TerrainLayerSampler.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreTerrainMaterialGenerator_8h_source.html">OgreTerrainMaterialGenerator.h</a>&gt;</code></p>

<p><a href="structOgre_1_1TerrainLayerSampler-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TerrainLayerSampler.html#a2bba3b847c3ca420a706a762f05d21ba">operator==</a> (const <a class="el" href="structOgre_1_1TerrainLayerSampler.html">TerrainLayerSampler</a> &amp;s) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TerrainLayerSampler.html#a8cf27ef7b384897c434ea13670fb3231">TerrainLayerSampler</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TerrainLayerSampler.html#a99aefff53a235d471bb54d65c8ec0483">TerrainLayerSampler</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;aliasName, <a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> fmt)</td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TerrainLayerSampler.html#ade7747cc8625094da5ed01bc5ab3e19c">alias</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A descriptive name that is merely used to assist in recognition.  <a href="#ade7747cc8625094da5ed01bc5ab3e19c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TerrainLayerSampler.html#acbf57cf471d575ffc862c50d15bad9b0">format</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The format required of this texture.  <a href="#acbf57cf471d575ffc862c50d15bad9b0"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Description of a sampler that will be used with each layer. </p>

<p>Definition at line <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html#l00100">100</a> of file <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html">OgreTerrainMaterialGenerator.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a8cf27ef7b384897c434ea13670fb3231"></a><!-- doxytag: member="Ogre::TerrainLayerSampler::TerrainLayerSampler" ref="a8cf27ef7b384897c434ea13670fb3231" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1TerrainLayerSampler.html#a8cf27ef7b384897c434ea13670fb3231">Ogre::TerrainLayerSampler::TerrainLayerSampler</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html#l00112">112</a> of file <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html">OgreTerrainMaterialGenerator.h</a>.</p>

</div>
</div>
<a class="anchor" id="a99aefff53a235d471bb54d65c8ec0483"></a><!-- doxytag: member="Ogre::TerrainLayerSampler::TerrainLayerSampler" ref="a99aefff53a235d471bb54d65c8ec0483" args="(const String &amp;aliasName, PixelFormat fmt)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1TerrainLayerSampler.html#a8cf27ef7b384897c434ea13670fb3231">Ogre::TerrainLayerSampler::TerrainLayerSampler</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>aliasName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td>
          <td class="paramname"><em>fmt</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html#l00114">114</a> of file <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html">OgreTerrainMaterialGenerator.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a2bba3b847c3ca420a706a762f05d21ba"></a><!-- doxytag: member="Ogre::TerrainLayerSampler::operator==" ref="a2bba3b847c3ca420a706a762f05d21ba" args="(const TerrainLayerSampler &amp;s) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::TerrainLayerSampler::operator== </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1TerrainLayerSampler.html">TerrainLayerSampler</a> &amp;&#160;</td>
          <td class="paramname"><em>s</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html#l00107">107</a> of file <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html">OgreTerrainMaterialGenerator.h</a>.</p>

<p>References <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html#l00103">alias</a>, and <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html#l00105">format</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="ade7747cc8625094da5ed01bc5ab3e19c"></a><!-- doxytag: member="Ogre::TerrainLayerSampler::alias" ref="ade7747cc8625094da5ed01bc5ab3e19c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1TerrainLayerSampler.html#ade7747cc8625094da5ed01bc5ab3e19c">Ogre::TerrainLayerSampler::alias</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>A descriptive name that is merely used to assist in recognition. </p>

<p>Definition at line <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html#l00103">103</a> of file <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html">OgreTerrainMaterialGenerator.h</a>.</p>

<p>Referenced by <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html#l00107">operator==()</a>.</p>

</div>
</div>
<a class="anchor" id="acbf57cf471d575ffc862c50d15bad9b0"></a><!-- doxytag: member="Ogre::TerrainLayerSampler::format" ref="acbf57cf471d575ffc862c50d15bad9b0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> <a class="el" href="structOgre_1_1TerrainLayerSampler.html#acbf57cf471d575ffc862c50d15bad9b0">Ogre::TerrainLayerSampler::format</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The format required of this texture. </p>

<p>Definition at line <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html#l00105">105</a> of file <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html">OgreTerrainMaterialGenerator.h</a>.</p>

<p>Referenced by <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html#l00107">operator==()</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreTerrainMaterialGenerator_8h_source.html">OgreTerrainMaterialGenerator.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:12
</p>
</body>
</html>
